<?php
include 'core/sys.php';
head('Магазин');
reg();
echo '<div class="row"><img src="img/mesto/shop.png"></div>';
if(isset($_GET['inv']) and !empty($_GET['inv'])  and isset($_GET['buy']) ){
$inv = int($_GET['inv']);
$valuta = int($_POST['valuta']);
$id_tovar = mysql_fetch_assoc(mysql_query("SELECT * FROM `inventory` WHERE `id`='".$inv."'"));
if(!$id_tovar){
echo '<div id="error">Такого товара нет</div>';
foot();
exit;
}
	/*Клановая Экономика */
if($user['clan'] >0){
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1"));
	if($clan['ekonom_magaz']>0){
	$id_tovar['money']= $id_tovar['money'] - ($id_tovar['money']*$clan['ekonom_magaz']/100);
	}
}
#########

$cat_name = mysql_fetch_assoc(mysql_query("SELECT * FROM `inventory_cat` WHERE `id`='".$id_tovar['cat_id']."' LIMIT 1"));
echo '<div class="text"><a href="shop.php">Магазин</a>|<a href="shop.php?id='.$cat_name['id'].'">'.$cat_name['cat_name'].'</a>| Покупка товара</div>';
echo '<div class="row">';
if(isset($_POST['valuta'])){
if($valuta > 2 or $valuta==0){
	echo '</div><div id="error">Не верные параметры!</div>';
	foot();
	exit;
	}
	if($valuta==1){
	
	if($user['money']<$id_tovar['money']){
	echo '<div id="error">У тебя мало денег!</div>';
	foot();
	exit;
	}
	echo '<div class="row">Товар куплен за золото.</div>';
	mysql_query("UPDATE `users` SET `money`=`money`-".$id_tovar['money']." WHERE `id`='".$user['id']."'");
	}
	if($valuta==2){
	if($user['rubin'] < $id_tovar['rubin']){
	echo '<div id="error">У тебя мало денег!</div>';
	foot();
	exit;
	}
	mysql_query("UPDATE `users` SET `rubin`=`rubin`-".$id_tovar['rubin']." WHERE `id`='".$user['id']."'");
	echo '<div class="row">Товар куплен за рубины.</div>';
	}
	$new_inv = mysql_fetch_assoc(mysql_query("SELECT * FROM `inventory_user` WHERE `user_id`='".$user['id']."' AND `invent_id`='".$inv."'"));
	if(!$new_inv){
	mysql_query("INSERT INTO `inventory_user` SET
	`user_id`='".$user['id']."',
	`invent_id`='".$inv."',
	`cat_id`='".$id_tovar['cat_id']."',
	`kol`=1");
	}else{
	mysql_query("UPDATE `inventory_user` SET `kol`=`kol`+1 WHERE `user_id`='".$user['id']."' AND `id`='".$new_inv['id'] ."'");
		}
}else{
echo 'Чем оплатить?<br><br>
<form action="shop.php?buy&amp;inv='.$inv.'" method="post">
<input type="radio" name="valuta" value="1"> <img src="img/money/money.png"> '.$id_tovar['money'].' <br>
<input type="radio" name="valuta" value="2"> <img src="img/money/rubin.png"> '.$id_tovar['rubin'].'<br><br>
<input type="submit" value="купить"><br>
</form>';
	}
echo '</div>';
}elseif(isset($_GET['id']) and !empty($_GET['id']) ){
$id = int($_GET['id']);
$sql_inv = mysql_query("SELECT * FROM `inventory` WHERE `cat_id`='".$id."' ORDER BY `id` LIMIT ".$page.",".$set['str']."");
$total = mysql_num_rows(mysql_query("SELECT * FROM `inventory` WHERE `cat_id`='".$id."' ORDER BY `id`"));
	if($total == 0){
	echo '<div id="error">Этот раздел пуст</div>';
	foot();
	exit;
	}
$cat_name = mysql_fetch_assoc(mysql_query("SELECT `cat_name` FROM `inventory_cat` WHERE `id`='".$id."' LIMIT 1"));
echo '<div class="text"><a href="shop.php">Магазин</a>| '.$cat_name['cat_name'].'</div>';
while($inv_row =  mysql_fetch_assoc($sql_inv)){
	/*Клановая Экономика */
if($user['clan'] >0){
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1"));
	if($clan['ekonom_magaz']>0){
	$inv_row['money']= $inv_row['money'] - ($inv_row['money']*$clan['ekonom_magaz']/100);
	}
}
#########
echo '<div class="row"><img src="/'.$inv_row['img'] .'" alt=""> <a href="shop.php?buy&amp;inv='.$inv_row['id'] .'">'.$inv_row['name'] .'</a><br>';
if($inv_row['hp']>0){
echo 'HP: +'.$inv_row['hp'].'<br>';
}
if($inv_row['mp']>0){
echo 'MP: +'.$inv_row['mp'].'<br>';
}
if($inv_row['strength']>0){
echo 'Сила: +'.$inv_row['strength'].'<br>';
}
if($inv_row['defense']>0){
echo 'Защита: +'.$inv_row['defense'].'<br>';
}
if($inv_row['hp_recovery']>0){
echo 'Восстанавливает HP: +'.$inv_row['hp_recovery'].'<br>';
}
if($inv_row['mp_recovery']>0){
echo 'Восстанавливает MP: +'.$inv_row['mp_recovery'].'<br>';
}
if($inv_row['virus']>0){
echo 'Регенерация HP: -'.$inv_row['virus'].'<br>';
}
if($inv_row['vak']>0){
echo 'Регенерация HP: +'.$inv_row['vak'].'<br>';
}
echo 'Цена: <img src="img/money/money.png"> '.number_format($inv_row['money'],0,',','.').' | <img src="img/money/rubin.png"> '.$inv_row['rubin'].'';
echo '</div>';
}
if($total > $set['str'])
	{
		pages($page, $total, 'shop.php?id='.$id.'&amp;', $set['str']);
	}
}else{
/*echo '<div class="row"><img src="img/other/lina.png" alt=""> Лина<br></div>';*/
$sql_cat = mysql_query("SELECT * FROM `inventory_cat`");
while($row_cat = mysql_fetch_assoc($sql_cat)){
echo '<div class="row"><a href="shop.php?id='.$row_cat['id'].'">'.$row_cat['cat_name'].'</a> ['.$row_cat['kol'].']<br></div>';
}
echo '<div class="row">
<a href="shop_puli.php">Склад патронов</a><br>
<a href="aura_vamp.php">ДНК Вампира</a>(+20% к HP от урона)<br>
<a href="dnk_oboroten.php">ДНК Оборотня</a>(+20% к урону в ночное время)<br>
<a href="dnk_roso.php">ДНК Росомахи</a>(Регенерация HP увеличивается в 4 раза)<br>
</div>';
}
foot();
?>